Bug 609383

Summary: kvm takes around 6% of CPU after booting with init=/bin/sh and idle
Product: [Fedora] Fedora Reporter: Catalin BOIE <fedora-bugzilla>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 13CC: amit.shah, berrange, clalance, dwmw2, ehabkost, extras-orphan, gcosta, itamar, jaswinder, jforbes, knoel, markmc, notting, ondrejj, quintela, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 609119 Environment:
Last Closed: 2011-06-27 15:10:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Catalin BOIE 2010-06-30 02:54:31 EDT
+++ This bug was initially created as a clone of Bug #609119 +++

Description of problem:
Fedora 13, booting a machine using the following line:
qemu-kvm -enable-kvm -cpu n270,+x2apic -M fedora-13 -m 512 -hda Stick-test.qcow2 -net nic,macaddr=00:11:11:11:11:72 -net tap,script=run.net -boot c -usb -usbdevice tablet -serial pty -vga cirrus

The guest is a Fedora 13 system.

The CPU is at around 6%, the guest is doing nothing.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.3-8.fc13.i686

How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
6% of CPU used by doing almost nothing in guest.

Expected results:
Almost zero CPU.

Additional info:

Host kernel: 2.6.33.4-95.fc13.i686.PAE

perf top:
167.00  3.5% _raw_spin_lock_irqsave            
              149.00  3.1% fget_light                        
              136.00  2.8% _raw_spin_unlock_irqrestore       
              135.00  2.8% sysenter_past_esp                 
              130.00  2.7% read_tsc                          
              129.00  2.7% system_call                       
              102.00  2.1% mls_compute_sid                   
              100.00  2.1% do_select                         
               97.00  2.0% avc_has_perm_noaudit              

kvm_stat:
efer_reload                  0       0
 exits                  6418449      68
 fpu_reload              879175       0
 halt_exits               25519      11
 halt_wakeup                493       0
 host_state_reload	2779033      35
 hypercalls                   0       0
 insn_emulation         4680132      31
 insn_emulation_fail          0       0
 invlpg                   35168       0
 io_exits               1405390      24
 irq_exits                46850       1
 irq_injections           57751      11
 irq_window                7900       0
 largepages                   0       0
 mmio_exits             1288700       0
 mmu_cache_miss           18159       0
 mmu_flooded               7370       0
 mmu_pde_zapped            8334       0
 mmu_pte_updated          24142       0
 mmu_pte_write          1195467       0
 mmu_recycled                 0       0
 mmu_shadow_zapped        21453       0
 mmu_unsync                 131       0
 nmi_injections               0       0
 nmi_window                   0       0
 pf_fixed                172703       0
 pf_guest                 28199       0
 remote_tlb_flush            11       0
 request_irq                  0       0
 signal_exits                 1       0
 tlb_flush                80336       0

I added a new bug report because I think this is a different issue.
Comment 1 Bug Zapper 2011-06-01 11:11:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 15:10:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.